%define url_ver %(echo %{version}|cut -d. -f1,2)

%define subrel 1

Name:       mate-applets
Version:    1.26.1
Release:    %mkrel 1
Summary:    MATE Desktop panel applets
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mate-settings-daemon) >= %{url_ver}
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires: pkgconfig(libnl-genl-3.0)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(mateweather) >= %{url_ver}
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: libiw-devel
%ifarch %{ix86} x86_64
BuildRequires: cpupower-devel
%endif
BuildRequires: pkgconfig(libxklavier)
BuildRequires: itstool
BuildRequires: pkgconfig(libnm)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gucharmap-2.90)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)

Requires: polkit-agent
Requires: usermode-consoleonly
# (akien) typelib() requires seem too loose, on mga5 to mga6 upgrades
# urpmi may stay happy keeping the mga5 package, leading to upgrade issues
Requires: %{_lib}mate-panel-applet-gir4.0 >= 1.18.0

Provides: mate-netspeed-applet = %{version}-%{release}

%description
MATE Desktop panel applets.

%prep
%autosetup -p1

# switch to gtksourceview-4
sed -i -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac

%build
autoreconf -fi
%configure \
      --disable-schemas-compile \
      --disable-static \
      --with-x \
      --enable-polkit \
      --enable-ipv6 \
      --enable-stickynotes \
      --enable-frequency-selector \
      --libexecdir=%{_libexecdir}/mate-applets

%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_bindir}/mate-*
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_datadir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/pixmaps/mate-cpufreq-applet
%{_libexecdir}/mate-applets
%{_mandir}/man?/*
%{_datadir}/mate-applets/
%{_datadir}/mate-panel/applets/
%{_datadir}/dbus-1/services/org.mate.panel.*.service
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/*x*/devices/*.png
%{_datadir}/icons/hicolor/*x*/status/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Mon Jan 29 2024 ghibo <ghibo> 1.26.1-1.1.mga9
+ Revision: 2036072
- Rebuild against libcpupower.so.1

* Sat Aug 06 2022 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1875708
- Update to version 1.26.1

* Tue Apr 05 2022 umeabot <umeabot> 1.26.0-3.mga9
+ Revision: 1844528
- Mageia 9 Mass Rebuild

* Sat Sep 04 2021 wally <wally> 1.26.0-2.mga9
+ Revision: 1744263
- switch to gtksourceview-4

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740847
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618693
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548108
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488825
- Add specific files for aarch64 and armv7hl
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 11 2019 pterjan <pterjan> 1.22.2-3.mga8
+ Revision: 1465928
- Match architectures requiring cpupower-devel with the ones in the file list

* Wed Dec 11 2019 kekepower <kekepower> 1.22.2-2.mga8
+ Revision: 1465918
- Bump rel
- Remove Patch0, merged upstream
- Update to version 1.22.2

* Sun Oct 20 2019 daviddavid <daviddavid> 1.22.1-3.mga8
+ Revision: 1454753
- drop unneeded python2 dependencies

* Wed Aug 21 2019 daviddavid <daviddavid> 1.22.1-2.mga8
+ Revision: 1430961
- adjust BR for new NM

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397029
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375498
- Update to version 1.22.0

* Tue Jan 01 2019 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1348378
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337276
- Fix file list
- Update to version 1.20.2
- Rolled back to r1299465

* Mon Nov 26 2018 kekepower <kekepower> 1.21.1-1.mga7
+ Revision: 1335620
- Fix file list
- Update to version 1.21.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299465
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1206589
- Updated to 1.20.0 version

* Thu Jan 18 2018 tarakbumba <tarakbumba> 1.19.4-1.mga7
+ Revision: 1194471
- Update to 1.19.4

* Sun Jan 14 2018 tarakbumba <tarakbumba> 1.19.3-1.mga7
+ Revision: 1193177
- Updated to 1.19.3 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1174776
- Update to 1.19.2 version

* Tue Sep 05 2017 cjw <cjw> 1.18.1-4.mga7
+ Revision: 1151260
- rebuild for new libgtop

* Sat May 06 2017 akien <akien> 1.18.1-3.mga6
+ Revision: 1099273
+ rebuild (emptylog)

* Sat May 06 2017 akien <akien> 1.18.1-2.mga6
+ Revision: 1099272
- Ease upgrade with too loose typelib(MatePanelApplet) requires

* Mon Apr 10 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1096334
- Update to 1.18.1 version

* Sun Mar 19 2017 wally <wally> 1.18.0-2.mga6
+ Revision: 1093613
- fix ARM build

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092617
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sun Dec 25 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077306
- new version 1.16.0
- build with gtk3

* Fri Jul 08 2016 pterjan <pterjan> 1.14.0-2.mga6
+ Revision: 1039722
- Add upstream patch to fix build with kernel 4.7

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001495
- Update to 1.14.0 version

* Sat Apr 02 2016 pterjan <pterjan> 1.13.1-3.mga6
+ Revision: 997708
- Fix file list

* Sat Apr 02 2016 pterjan <pterjan> 1.13.1-2.mga6
+ Revision: 997694
- Disable cpufreq on !x86

* Sat Apr 02 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 997689
- Update to 1.13.1 version

* Tue Feb 09 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 953004
- Drop unneeded patch
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908225
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899214
-Update to 1.12.0 version

* Tue Sep 01 2015 wally <wally> 1.10.3-1.mga6
+ Revision: 872110
- new version 1.10.3

* Sat Jun 27 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 846477
-Update to 1.10.1 version

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 838635
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 748901
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737433
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 682183
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.8.0-3.mga5
+ Revision: 668653
- rebuild for new upower

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628324
- Rebuild for new Python

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600110
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598040
- Update to 1.7.x version

* Mon Feb 10 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 587837
- Rebuild for upower-glib changes
- Tidy buildrequires in specfile

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563707
-New bugfix version: 1.6.2

* Sat Nov 02 2013 fwang <fwang> 1.6.1-3.mga4
+ Revision: 548930
- add requires on python-gi
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461838
- fix RPM group
+ tarakbumba <tarakbumba>
- imported package mate-applets

